Skip to main content
POST
/
workflows
Create a workflow
curl --request POST \
  --url https://api.artu.ai/workflows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "name": "<string>",
  "workflow": {
    "nodes": [],
    "edges": []
  },
  "description": "<string>",
  "externalId": "<string>",
  "metadata": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "<string>",
  "name": "<string>",
  "workflow": {
    "nodes": [],
    "edges": []
  },
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "description": "<string>",
  "externalId": "<string>",
  "metadata": {},
  "liveWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "testWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "promotedAt": "<string>",
  "tags": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "color": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
name
string
required

Name

Required string length: 1 - 255
status
enum<string>
required

Status

Available options:
draft,
active,
inactive
workflow
object
required

Workflow

description
string

Description

Maximum string length: 1000
externalId
string

External ID

Maximum string length: 255
metadata
object

Metadata

Response

200 - application/json

OK

id
string<uuid>
required
organizationId
string
required
environment
enum<string>
required
Available options:
test,
live
name
string
required
status
enum<string>
required
Available options:
draft,
active,
inactive
workflow
object
required
createdAt
string
required
updatedAt
string
required
description
string
externalId
string
metadata
object
liveWorkflowId
string<uuid> | null
testWorkflowId
string<uuid> | null
promotedAt
string | null
tags
object[]